use crate::handling::methods::Method;

use super::Request;

impl Request<'_> {
    pub fn can_have_body(&self) -> bool {
        matches!(
            self.method,
            Method::Post | Method::Put | Method::Patch | Method::Delete
        )
    }
    pub fn mandatory_body(&self) -> bool {
        matches!(self.method, Method::Post | Method::Put | Method::Patch)
    }
}
