use super::{Cookie, ResponseBody, Status};

type HeaderMap = Vec<String>;

#[derive(Debug)]
pub enum Outcome<S, E, F> {
    Success(S),
    Failure(E),
    Forward(F),
}

pub struct Response<'a> {
    pub headers: HeaderMap,
    pub cookies: Option<Cookie<'a>>,
    pub status: Option<Status>,
    pub body: Box<dyn ResponseBody>,
}
